
/************************************************
 abac_rt.h
************************************************/
/* from bison, rt2.y */
extern FILE *abac_yyin, *abac_yyout;
extern int yyparse();
extern void abac_init_yy();
extern char *abac_get_yap_clause();
extern void abac_free_yap_clause();
extern abac_role_t *abac_get_yap_head_role();
extern void abac_free_yap_tail_role();
extern abac_role_t *abac_get_yap_head_role();
extern void abac_free_yap_tail_role();

/* from flex, rt2.l */
extern void abac_rest_yyin(FILE *);
extern void abac_rest_yyout(FILE *);
extern FILE *abac_get_yyin();
extern FILE *abac_get_yyout();
extern void abac_reset_yyfptr(char *);
extern char* abac_get_yyfptr();
extern char* abac_get_yyfptr_encoded();
extern void abac_push_keyid_yystate();
extern void abac_push_range_yystate();
extern void abac_push_yystate(char *);
extern void abac_pop_yystate();

/* on error code */
#define ABAC_RT_ROLE_INVALID           -1  /* */
#define ABAC_RT_CERT_INVALID           -2  /* */
#define ABAC_RT_CERT_BAD_SIG           -3  /* */
#define ABAC_RT_CERT_MISSING_ISSUER    -4  /* */
